customers
Update specific fields of customer address
PATCH
/
api
/
customers
/
{customer_id}
/
address
/
{address_id}
Update specific fields of customer address
curl --request PATCH \
--url https://api.fluid.app/api/customers/{customer_id}/address/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": {
"address_details": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"name": "<string>",
"default": true
}
}
}
'import requests
url = "https://api.fluid.app/api/customers/{customer_id}/address/{address_id}"
payload = { "customer": { "address_details": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"name": "<string>",
"default": True
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: {
address_details: {
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_id: 123,
country_code: '<string>',
name: '<string>',
default: true
}
}
})
};
fetch('https://api.fluid.app/api/customers/{customer_id}/address/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Update specific fields of customer address
